Glib::PollFD Class Reference
The Main Event Loop

`#include <glibmm/main.h>`

## Public Member Functions

| PollFD ()
| PollFD (int fd)
| PollFD (int fd, IOCondition events)
void | set_fd (int fd)
int | get_fd () const
void | set_events (IOCondition events)
IOCondition | get_events () const
void | set_revents (IOCondition revents)
IOCondition | get_revents () const
GPollFD* | gobj ()
const GPollFD* | gobj () const

## Constructor & Destructor Documentation

Glib::PollFD::PollFD | ( |  | ) |

Glib::PollFD::PollFD | ( | int | fd | ) |

explicit

Glib::PollFD::PollFD | ( | int | fd,
|  | IOCondition | events
| ) |  |

## Member Function Documentation

IOCondition Glib::PollFD::get_events | ( |  | ) | const

inline

int Glib::PollFD::get_fd | ( |  | ) | const

inline

IOCondition Glib::PollFD::get_revents | ( |  | ) | const

inline

GPollFD* Glib::PollFD::gobj | ( |  | ) |

inline

const GPollFD* Glib::PollFD::gobj | ( |  | ) | const

inline

void Glib::PollFD::set_events | ( | IOCondition | events | ) |

inline

void Glib::PollFD::set_fd | ( | int | fd | ) |

inline

void Glib::PollFD::set_revents | ( | IOCondition | revents | ) |

inline